<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
MoveNext Method (IEdmEnum)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnum Interface : MoveNext Method (IEdmEnum)

Visual Basic
C#
C++/CLI
Forwards the enumeration cursor to the next element in the list.

# Syntax

Visual Basic |
--- | ---

    Function MoveNext() As System.Boolean

C# |
--- | ---

    System.bool MoveNext()

C++/CLI |
--- | ---

    System.bool MoveNext();

#### Return Value

True if the cursor moved to the next element successfully, false if not

# Remarks

This method is used implicitly in the For Each command loops of .NET programs.

After calling this method, call IEdmEnum::Current to access the element currently pointed to by the enumerator's cursor.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmEnum Interface
IEdmEnum Members

# Availability

SOLIDWORKS PDM Professional 2013